[darcs-users] darcs patch: Do not use Perl test harness. (and 3 more)

David Roundy daveroundy at gmail.com
Mon Oct 20 21:26:54 UTC 2008


On Mon, Oct 20, 2008 at 4:46 PM, Reinier Lamers <tux_rocker at reinier.de> wrote:
>> More compact tests are easier to write and easier to
>> run.  And it would allow windows tests to be run by that large
>> fraction of users who are unwilling to install msys or cygwin.
>
> I don't think that people who are unwilling to install msys or cygwin (fairly
> familiar programs that come as a Windows installer package) will be willing to
> install some obscure Haskell shell.

No, the problem is that we don't *want* them to install msys or
cygwin, which don't behave like windows.  The point is to avoid
special-casing because of things like pwd failing to work properly.
The same issues hold on non-GNU platforms like solaris, where we have
a whole horde of test portability problems.  We solve some of them by
always running tests in bash, but we still run into trouble with tools
like grep and fgrep.

David


More information about the darcs-users mailing list